image: maven:3.6.0

Maven_Build:
  stage: build
  script: mvn compile -e

Client_Test:
  image: maven:latest
  stage: test
  script:
  - mvn clean test -e
  allow_failure: true

Client_Checkstyle:
  stage: test
  script:
    - mvn checkstyle:checkstyle
    - cat modules/Client/target/checkstyle-result.xml
  allow_failure: true
